### Method

# Gdk Clipboard read_text_async

#### Declaration [src]

    void
    gdk_clipboard_read_text_async (
      GdkClipboard* clipboard,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously request the `clipboard` contents converted to a string.

This is a simple wrapper around `gdk_clipboard_read_value_async()`. Use that function or `gdk_clipboard_read_async()` directly if you need more control over the operation.

This method completes asynchronously. Use `gdk_clipboard_read_text_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.